pro xregions, imagefile, srcfile, srcnum

 openr, lun, srcfile, /get_lun
 sarray=dblarr(3,srcnum)
 readf, lun, sarray
 free_lun, lun
 ra_srcs=reform(sarray[0,*])
 dec_srcs=reform(sarray[1,*])
 sig_srcs=reform(sarray[2,*])

 image=readfits(imagefile,hdr)
 ra_nom=sxpar(hdr,'RA_NOM')
 dec_nom=sxpar(hdr,'DEC_NOM')
 print, ra_nom, dec_nom

 myregions, ra_srcs, dec_srcs, 10.0
 spawn, "mv myregions.reg all_bright_srcs.reg"

 ra_nom_13=replicate(ra_nom,13)
 dec_nom_13=replicate(dec_nom,13)
 gcirc, 2, ra_srcs, dec_srcs, ra_nom_13, dec_nom_13, dsec

 myregions,ra_nom, dec_nom, 360.0
 spawn, "mv myregions.reg circ_6arcmin.reg"

 ind_close=where(dsec le 360.0)
 ra_close=ra_srcs(ind_close)
 dec_close=dec_srcs(ind_close)

 myregions,ra_close, dec_close, 10.0
 spawn, "mv myregions.reg close_bright_srcs.reg"

end
